<?php
/*
Plugin Name: WP All Import - ListGo Add-On
Plugin URI: http://www.wpallimport.com/
Description: Supporting imports into the ListGo theme.
Version: 1.0.5
Author: Wiloke
*/

include "rapid-addon.php";

function listgoConvertEventDateToTimestamp($date){
	$timestamp = strtotime(trim($date));
	return $timestamp;
}

#Importing Listing
$listgoAddon = new RapidAddon('Listgo Addon', 'listgo_addon');

$listgoAddon->disable_default_images();

$listgoAddon->import_images( 'listgo_addon_gallery_settings', 'Gallery Images' );

function listgo_addon_gallery_settings( $postID, $attachmentID, $imgFilePath, $importOptions ) {
	$aGallerySettings = get_post_meta( $postID, 'gallery_settings', true );
	if(!empty($aGallerySettings)){
		$aGallerySettings[$attachmentID] = $imgFilePath;
		update_post_meta( $postID, 'gallery_settings', $aGallerySettings );
	}
	else{
		$aGallerySettings[$attachmentID] = $imgFilePath;
		add_post_meta( $postID, 'gallery_settings', $aGallerySettings ) || update_post_meta( $postID, 'gallery_settings', $aGallerySettings );
	}
}

function listgoUpdateEventSettings($postID, $eventKey, $eventVal){
	$aEventSettings = \WilokeListgoFunctionality\Framework\Helpers\GetSettings::getPostMeta($postID, 'event_settings');
	if ( empty($aEventSettings) ){
		$aEventSettings = array();
	}

	$aEventSettings[$eventKey] = $eventVal;
	\WilokeListgoFunctionality\Framework\Helpers\SetSettings::setPostMeta($postID, 'event_settings', $aEventSettings);
}


$listgoAddon->add_field('wiloke_submission_do_not_show_on_map', 'Toggle Show Listing On Map', 'text');
$listgoAddon->add_field('listing_claim', 'Listing - Claim Setting', 'text');
$listgoAddon->add_field('wiloke_listgo_toggle_highlight', 'Listing - Toggle highlight Listing', 'text');
$listgoAddon->add_field('wiloke_listgo_business_hours', 'Listing - Business Hours Settings', 'text');
$listgoAddon->add_field('wiloke_toggle_business_hours', 'Listing - Toggle Business Hours Settings', 'text');
$listgoAddon->add_field('listing_open_table_settings', 'Listing - Open Table Setting', 'text');

$listgoAddon->add_field('listing_social_media', 'Listing - Listing Social Media Settings (Using this field if you are migrating ListGo from currently server to another server)', 'text');

$listgoAddon->add_field('listing_social_facebook', 'Facebook', 'text');
$listgoAddon->add_field('listing_social_twitter', 'Twitter', 'text');
$listgoAddon->add_field('listing_social_google-plus', 'Google+', 'text');
$listgoAddon->add_field('listing_social_linkedin', 'Linkedin', 'text');
$listgoAddon->add_field('listing_social_tumblr', 'Tumblr', 'text');
$listgoAddon->add_field('listing_social_instagram', 'Instagram', 'text');
$listgoAddon->add_field('listing_social_pinterest', 'Pinterest', 'text');
$listgoAddon->add_field('listing_social_vimeo', 'Vimeo', 'text');
$listgoAddon->add_field('listing_social_youtube', 'Youtube', 'text');
$listgoAddon->add_field('listing_social_whatsapp', 'Whatsapp', 'text');

$listgoAddon->add_field('listing_price', 'Listing - Listing Price Setting (Using this field if you are migrating ListGo from currently server to another server)', 'text');
$listgoAddon->add_field('listing_price_status', 'Listing - Price Status', 'text');
$listgoAddon->add_field('listing_price_from', 'Listing - Price From', 'text');
$listgoAddon->add_field('list_price_to', 'Listing - Price To', 'text');

$listgoAddon->add_field('listing_settings', 'Listing - Listing Settings', 'text');
$listgoAddon->add_field( 'listing_google_address', 'Google Address', 'text', null );
$listgoAddon->add_field('listing_latitude', 'Listing - Latitude', 'text');
$listgoAddon->add_field('listing_longitude', 'Listing - Longitude', 'text');
$listgoAddon->add_field('listing_website', 'Website', 'text');
$listgoAddon->add_field('listing_phone_number', 'Phone', 'text');


$listgoAddon->add_field('listing_event_address', 'Event Address', 'text');
$listgoAddon->add_field('listing_event_lat', 'Event Latitude', 'text');
$listgoAddon->add_field('listing_event_lng', 'Event Longitude', 'text');
$listgoAddon->add_field('listing_event_latlng', 'Event Lat & Lng (If the Lat & Lng is separated, please leave empty this field)', 'text');
$listgoAddon->add_field('listing_event_startson', 'Event Start', 'text');
$listgoAddon->add_field('listing_event_endson', 'Event End', 'text');
$listgoAddon->add_field('listing_event_link_to', 'Link to Event', 'text');



$listgoAddon->set_import_function('wiloke_listgo_update_listing_data');



function wiloke_listgo_update_listing_data($post_id, $data, $import_options, $article){
	global $listgoAddon;

	$fields = array(
		'wiloke_submission_do_not_show_on_map',
		'listing_claim',
		'wiloke_listgo_toggle_highlight',
		'wiloke_toggle_business_hours',
		'listing_open_table_settings',
		'listing_settings',
		'listing_google_address',
		'listing_latitude',
		'listing_longitude',
		'listing_website',
		'listing_phone_number',
		'listing_price',
		'listing_social_media',
		'gallery_settings',
		'listing_social_facebook',
		'listing_social_twitter',
		'listing_social_google-plus',
		'listing_social_linkedin',
		'listing_social_tumblr',
		'listing_social_instagram',
		'listing_social_pinterest',
		'listing_social_vimeo',
		'listing_social_youtube',
		'listing_social_whatsapp',
		'listing_price_status',
		'listing_price_from',
		'list_price_to',
		'listing_event_address',
		'listing_event_lat',
		'listing_event_lng',
		'listing_event_latlng',
		'listing_event_startson',
		'listing_event_endson',
		'listing_event_link_to'
	);

	$aListingSettings = null;
	$aSocialSettings = null;
	$aListOfSocial = array();
	$aPriceSettings = null;
	$aNewPriceSettings = array();

	$aConvertPriceStatus = array(
		'notsay'         => '',
		'inexpensive'    => 'cheap',
		'moderate'       => 'moderate',
		'pricey'         => 'expensive',
		'ultra_high_end' => 'ultra_high',
	);

	$aEventPlanSettings = array();
	foreach ( $fields as $field ) {
		if ( empty( $article['ID'] ) or $listgoAddon->can_update_meta( $field, $import_options ) ) {
			if ( $field == 'listing_latitude' || $field == 'listing_longitude' || $field=='listing_google_address' || $field == 'listing_phone_number' || $field == 'listing_website' ){
				$aListingSettings = $aListingSettings === null ? get_post_meta($post_id, 'listing_settings', true) : $aListingSettings;

				if ( $field == 'listing_latitude' || $field == 'listing_longitude' ){
					$aListingSettings['map']['latlong'] = $data['listing_latitude'] . ',' . $data['listing_longitude'];
				}else if($field == 'listing_google_address'){
					$aListingSettings['map']['location'] = $data['listing_google_address'];
				}else{
					$aListingSettings[str_replace('listing_', '', $field)] = $data[$field];
				}
				update_post_meta($post_id, 'listing_settings', $aListingSettings);
			}elseif(strpos($field, 'listing_social') !== false){
				$aSocialSettings = get_post_meta($post_id, 'listing_social_media', true);
				$key = str_replace('listing_social_', '', $field);
				$aSocialSettings[$key] = $data[ $key ];
				update_post_meta($post_id, 'listing_social_media', $aSocialSettings);
			}elseif (strpos($field, 'listing_price_') !== false){
				$aPriceSettings = $aPriceSettings === null ? get_post_meta($post_id, 'listing_price', true) : $aPriceSettings;
				if ( empty($aPriceSettings) ){
					if ( $field == 'listing_price_status' ){
						if ( in_array($data[$field], $aConvertPriceStatus) ){
							$aNewPriceSettings['price_segment'] = $aConvertPriceStatus[$data[$field]];
						}else{
							$aNewPriceSettings['price_segment'] = '';
						}
					}else{
						$key = str_replace('listing_', '', $field);
						$aNewPriceSettings[$key] = $data[$field];
					}

					if ( $field == 'list_price_to' ){
						update_post_meta($post_id, 'listing_price', $aNewPriceSettings);
					}
				}
			}else if($field == 'listing_event_address') {
				if ( !empty($data[$field]) ) {
					$aEventPlanSettings['place_detail'] = $data[ $field ];
					listgoUpdateEventSettings($post_id, 'place_detail',  trim($data[ $field ]));
				}
			}else if($field == 'listing_event_lat') {
				if ( !empty($data[$field]) ) {
					$aEventPlanSettings['latitude'] = $data[ $field ];
					listgoUpdateEventSettings($post_id, 'latitude',  trim($data[ $field ]));
				}
			}else if($field == 'listing_event_lng') {
				if ( !empty($data[$field]) ) {
					$aEventPlanSettings['longitude'] = $data[ $field ];
					listgoUpdateEventSettings($post_id, 'longitude',  trim($data[ $field ]));
				}
			}else if($field == 'listing_event_latlng') {
				if ( !empty($data[$field]) ){
					$aParseLatLng = explode(',', $data[$field]);
					listgoUpdateEventSettings($post_id, 'latitude',  trim($aParseLatLng[0]));
					listgoUpdateEventSettings($post_id, 'longitude',  trim($aParseLatLng[1]));
				}
			}else if($field == 'listing_event_startson') {
				if ( !empty($data[$field]) ) {
					listgoUpdateEventSettings($post_id, 'start_at',  '');
					listgoUpdateEventSettings($post_id, 'start_on',  trim($data[ $field ]));
				}
			}else if($field == 'listing_event_endson') {
				if ( !empty($data[$field]) ) {
					listgoUpdateEventSettings($post_id, 'end_at',  '');
					listgoUpdateEventSettings($post_id, 'end_on',  trim($data[ $field ]));
				}
			}else if($field == 'listing_event_link_to') {
				if ( !empty($data[$field]) ) {
					listgoUpdateEventSettings($post_id, 'event_link',  trim($data[ $field ]));
				}
			}else{
				update_post_meta( $post_id, $field, $data[ $field ] );
			}
		}
	}
}

$listgoAddon->run(
	array(
		'themes'        => array('ListGo'),
		'post_types'    => array('listing')
	)
);