(function($){
	'use strict';

	function decimalAdjust(type, value, exp) {
		// If the exp is undefined or zero...
		if (typeof exp === 'undefined' || +exp === 0) {
			return Math[type](value);
		}
		value = +value;
		exp = +exp;
		// If the value is not a number or the exp is not an integer...
		if (isNaN(value) || !(typeof exp === 'number' && exp % 1 === 0)) {
			return NaN;
		}
		// Shift
		value = value.toString().split('e');
		value = Math[type](+(value[0] + 'e' + (value[1] ? (+value[1] - exp) : -exp)));
		// Shift back
		value = value.toString().split('e');
		return +(value[0] + 'e' + (value[1] ? (+value[1] + exp) : exp));
	}

	// Decimal round
	if (!Math.round10) {
		Math.round10 = function(value, exp) {
			return decimalAdjust('round', value, exp);
		};
	}

	class WilokeGoogleAutocomplete{
		constructor(){
			this.$app = $('#place_detail');
			this.init();
		}

		autoComplete(){
			let _this = this;
			google.maps.event.addListener(_this.search, 'place_changed', function() {
                // let places = _this.search.getPlaces();
                let place = _this.search.getPlace();

                // For each place, get the icon, place name, and location.
                // let bounds = new google.maps.LatLngBounds();
                _this.location = place.geometry.location;
                _this.$lat.val(Math.round10(_this.location.lat(), -4));
                _this.$lng.val(Math.round10(_this.location.lng(), -4));
            });
		}

		init(){
			if ( !this.$app.length ){
				return false;
			}

			this.$lat = $('#latitude');
			this.$lng = $('#longitude');

			this.search = new google.maps.places.Autocomplete(document.getElementById('place_detail'));
			this.autoComplete();
		}
	}

	$(document).ready(function(){
		new WilokeGoogleAutocomplete;
	})
})(jQuery);