<?php
/*
 |--------------------------------------------------------------------------
 | Favorite Table
 |--------------------------------------------------------------------------
 | This table container list of favorite of user
 |
 */

namespace WilokeListgoFunctionality\AlterTable;

class AlterTableBusinessHours implements AlterTableInterface{
	public static $tblName = 'wiloke_listgo_businesshours';
	public $version = '1.0';

	public function __construct() {
		add_action('plugins_loaded', array($this, 'createTable'));
		add_action('plugins_loaded', array($this, 'addUTCColumns'));
	}

	public function addUTCColumns(){
		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;
		if (!$wpdb->query("SHOW TABLES LIKE '".$tblName."'")){
			return false;
		}

		if ( !$wpdb->query("SHOW COLUMNS FROM `$tblName` LIKE 'extra_open_time'") ){
			$wpdb->query(
				"ALTER TABLE $tblName ADD extra_open_time time NULL"
			);
		}

		if ( !$wpdb->query("SHOW COLUMNS FROM `$tblName` LIKE 'extra_close_time'") ){
			$wpdb->query(
				"ALTER TABLE $tblName ADD extra_close_time time NULL"
			);
		}

		if ( !$wpdb->query("SHOW COLUMNS FROM `$tblName` LIKE 'extra_open_time_utc'") ){
			$wpdb->query(
				"ALTER TABLE $tblName ADD extra_open_time_utc time NULL"
			);
		}

		if ( !$wpdb->query("SHOW COLUMNS FROM `$tblName` LIKE 'open_time_utc'") ){
			$wpdb->query(
				"ALTER TABLE $tblName ADD open_time_utc time NULL"
			);
		}


		if ( !$wpdb->query("SHOW COLUMNS FROM `$tblName` LIKE 'extra_close_time_utc'") ){
			$wpdb->query(
				"ALTER TABLE $tblName ADD extra_close_time_utc time NULL"
			);
		}

		if ( !$wpdb->query("SHOW COLUMNS FROM `$tblName` WHERE field = 'closed'") ){
			$wpdb->query(
				"ALTER TABLE $tblName ADD closed VARCHAR (2) DEFAULT 0"
			);
		}
	}

	public function createTable() {
		if ( get_option(self::$tblName) && (version_compare(get_option(self::$tblName), $this->version, '>=')) ){
			return false;
		}

		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;

		if ($result = $wpdb->query("SHOW TABLES LIKE '".$tblName."'") ){
			update_option(self::$tblName, $this->version);
			return false;
		}

		$charsetCollate = $wpdb->get_charset_collate();
		$sql = "CREATE TABLE $tblName (
          ID bigint(9) NOT NULL AUTO_INCREMENT,
          always_open VARCHAR (4) NOT NULL,
          post_ID bigint(9) unsigned NOT NULL,
          day_of_week bigint(100)  NOT NULL,
          open_time time NOT NULL,
          extra_open_time time NOT NULL,
          close_time time NOT NULL,
          extra_close_time time NULL,
          open_time_utc time NOT NULL,
          extra_open_time_utc time NULL,
          close_time_utc time NULL,
          extra_close_time_utc time NULL,
          closed VARCHAR (2) DEFAULT 0,
          PRIMARY KEY (`id`)
        ) $charsetCollate";

		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		dbDelta($sql);

		update_option(self::$tblName, $this->version);
	}

	public function deleteTable() {
		// TODO: Implement deleteTable() method.
	}
}
