<?php

namespace WilokeListgoFunctionality\AlterTable;


class AlterTableEventsCalendar implements AlterTableInterface {
	public static $tblName = 'wiloke_listgo_events_calendar';
	public $version = '1.0';

	public function __construct() {
		add_action('plugins_loaded', array($this, 'createTable'));
	}

	public function createTable() {
		if ( get_option(self::$tblName) && (version_compare(get_option(self::$tblName), $this->version, '>=')) ){
			return false;
		}

		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;
		$postTbl = $wpdb->posts;

		if ($result = $wpdb->query("SHOW TABLES LIKE '".$tblName."'") ){
			update_option(self::$tblName, $this->version);
			return false;
		}

		$charsetCollate = $wpdb->get_charset_collate();
		$sql = "CREATE TABLE $tblName (
          ID bigint(9) AUTO_INCREMENT,
          eventID bigint(20) UNSIGNED NOT NULL,
          startsGMT datetime NOT NULL,
		  endsOnGMT datetime NOT NULL,
		  FOREIGN KEY (eventID) REFERENCES $postTbl(ID) ON DELETE CASCADE,
		  PRIMARY KEY(ID)
        ) $charsetCollate";

		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		dbDelta($sql);

		update_option(self::$tblName, $this->version);
	}

	public function deleteTable() {
		// TODO: Implement deleteTable() method.
	}
}