<?php
namespace WilokeListgoFunctionality\AlterTable;

class AlterTableInvoices implements AlterTableInterface{
	public static $tblName = 'wiloke_submission_invoices';
	public $version = '1.0';

	public function __construct() {
		add_action('plugins_loaded', array($this, 'createTable'));
		add_action('plugins_loaded', array($this, 'addTotalField'));
	}

	private function checkColumnExisted($columnName){
		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;

		return $wpdb->query(
			$wpdb->prepare(
				"SELECT * FROM information_schema.COLUMNS WHERE TABLE_SCHEMA=%s AND TABLE_NAME=%s AND COLUMN_NAME=%s",
				$wpdb->dbname, $tblName, $columnName
			)
		);
	}

	public function addTotalField(){
		global $wpdb;
		$columnName = 'total';
		if ( !get_option(self::$tblName)){
			return false;
		}

		$tblName = $wpdb->prefix . self::$tblName;
		if ( !$wpdb->query("SHOW TABLES LIKE '".$tblName."'") ){
			return false;
		}

		if ( $this->checkColumnExisted($columnName) ){
			return false;
		}

		$wpdb->query("ALTER TABLE {$tblName} ADD {$columnName} FLOAT(2) NOT NULL AFTER regular_price");
	}

	public function createTable() {
		if ( get_option(self::$tblName) && (version_compare(get_option(self::$tblName), $this->version, '>=')) ){
			return false;
		}

		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;
		if ($result = $wpdb->query("SHOW TABLES LIKE '".$tblName."'") ){
			update_option(self::$tblName, $this->version);
			return false;
		}

		$charsetCollect = $wpdb->get_charset_collate();

		$sql = "CREATE TABLE $tblName(
	  		ID bigint(9) NOT NULL AUTO_INCREMENT,
			sessionID bigint(9) NOT NULL,
			discount FLOAT (2) NULL DEFAULT 0,
			regular_price FLOAT(2),
			total FLOAT(2),
			currency VARCHAR (50),
			message LONGTEXT NOT NULL,
			created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
			updated_at TIMESTAMP NULL,
			PRIMARY KEY (ID)
		) $charsetCollect";

		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		dbDelta($sql);

		update_option(self::$tblName, $this->version);
	}

	public function deleteTable() {
		// TODO: Implement deleteTable() method.
	}
}