<?php
/*
 |--------------------------------------------------------------------------
 | Favorite Table
 |--------------------------------------------------------------------------
 | This table container list of favorite of user
 |
 */

namespace WilokeListgoFunctionality\AlterTable;

class AlterTablePayPalNonRecurringPayment implements AlterTableInterface{
	public static $tblName = 'wiloke_listgo_paypal_non_recurring';
	public $version = '1.0';

	public function __construct() {
		add_action('plugins_loaded', array($this, 'createTable'));
	}

	public function createTable() {
		if ( get_option(self::$tblName) && (version_compare(get_option(self::$tblName), $this->version, '>=')) ){
			return false;
		}

		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;

		if ($result = $wpdb->query("SHOW TABLES LIKE '".$tblName."'") ){
			update_option(self::$tblName, $this->version);
			return false;
		}

		$charsetCollate = $wpdb->get_charset_collate();
		$sql = "CREATE TABLE $tblName (
			ID bigint(9) NOT NULL AUTO_INCREMENT,
			user_ID bigint(9) unsigned NOT NULL,
			plan_ID VARCHAR (100),
			token VARCHAR (200),
			total mediumint(20) NOT NULL,
			currency VARCHAR (100) NOT NULL,
			status VARCHAR (50) NOT NULL,
			created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
			updated_at TIMESTAMP NOT NULL DEFAULT 0,
          	PRIMARY KEY (`ID`)
        ) $charsetCollate";

		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		dbDelta($sql);

		update_option(self::$tblName, $this->version);
	}

	public function deleteTable() {
		// TODO: Implement deleteTable() method.
	}
}
