<?php
namespace WilokeListgoFunctionality\AlterTable;


class AlterTableSessions implements AlterTableInterface {
	use TableExists;
	public $version = '1.6';
	public static $tblName = 'wiloke_submission_sessions';

	public function __construct() {
		add_action('plugins_loaded', array($this, 'createTable'));
		add_action('plugins_loaded', array($this, 'addWooOrderID'));
	}

	private function checkColumnExisted($columnName){
		global $wpdb;
		$tblName = $wpdb->prefix . self::$tblName;

		return $wpdb->query(
			$wpdb->prepare(
				"SELECT * FROM information_schema.COLUMNS WHERE TABLE_SCHEMA=%s AND TABLE_NAME=%s AND COLUMN_NAME=%s",
				$wpdb->dbname, $tblName, $columnName
			)
		);
	}

	public function addWooOrderID(){
		global $wpdb;
		$columnName = 'wooOrderID';
		$tblName = $wpdb->prefix . self::$tblName;
		if ( !$wpdb->query("SHOW TABLES LIKE '".$tblName."'") ){
			return false;
		}

		if ( $this->checkColumnExisted($columnName) ){
			return false;
		}

		$wpdb->query("ALTER TABLE {$tblName} ADD {$columnName} bigint(20) NULL AFTER status");
	}

	public function createTable() {
		global $wpdb;

		if ( $this->isTableExists() ){
			return false;
		}

		$charsetCollate = $wpdb->get_charset_collate();
		$tblName = $wpdb->prefix . self::$tblName;

		$sql = "CREATE TABLE $tblName(
				ID bigint(20) NOT NULL AUTO_INCREMENT,
				gateway VARCHAR(100) NOT NULL,
				planID bigint(20) NOT NULL,
				userID bigint(50) NOT NULL,
				couponID bigint(50) NULL DEFAULT NULL,
				token VARCHAR (200) NOT NULL,
				status VARCHAR(100) NOT NULL,
				billing_type VARCHAR(40) NOT NULL,
				customer_ip VARCHAR(100) NOT NULL,
				wooOrderID bigint(20) NULL DEFAULT 0,
				created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
				updated_at TIMESTAMP NULL DEFAULT NULL,
				created_at_gmt TIMESTAMP NOT NULL,
				updated_at_gmt TIMESTAMP NULL,
				PRIMARY KEY(ID)
			) $charsetCollate";

		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		dbDelta($sql);

		update_option(self::$tblName, $this->version);
	}

	public function deleteTable() {
		// TODO: Implement deleteTable() method.
	}
}