<?php
namespace WilokeListgoFunctionality\Controllers;


use WilokeListgoFunctionality\Framework\Helpers\GetSettings;
use WilokeListgoFunctionality\Framework\Helpers\Render;
use WilokeListgoFunctionality\Framework\Payment\Coupon;

class CouponController extends Controller {
	public function __construct(){
		add_action('wp_ajax_listgo_verify_coupon', array($this, 'verifyCoupon'));
	}

	public function verifyCoupon(){
		$errMsg  = esc_html__('The coupon is invalid or has expired', 'wiloke');

		if ( !isset($_POST['code']) || empty($_POST['code']) ){
			wp_send_json_error(
				array(
					'msg' => $errMsg
				)
			);
		}

		$instCoupon = new Coupon();

		if ( !$instCoupon->getCouponID($_POST['code']) ){
			wp_send_json_error(
				array(
					'msg' => $errMsg
				)
			);
		}

		$instCoupon->getCouponInfo();
		if ( $instCoupon->isCouponExpired() ){
			wp_send_json_error(
				array(
					'msg' => $errMsg
				)
			);
		}

		$planPostType = get_post_field('post_type', $_POST['planID']);
		if ( !$instCoupon->isPostTypeSupported($planPostType) ){
			wp_send_json_error(
				array(
					'msg' => $errMsg
				)
			);
		}

		$aPackageInfo = GetSettings::getPostMeta($_POST['planID'], get_post_type($_POST['planID']));

		$price = !isset($aPackageInfo['price']) ? $aPackageInfo['regular_price'] : $aPackageInfo['price'];
		
		if ( $instCoupon->aSettings['type'] == 'percentage' ){
			$discountPrice = round(($price*$instCoupon->aSettings['amount'])/100, 2);
		}else{
			$discountPrice = $instCoupon->aSettings['amount'];
		}

		if ( $price < $discountPrice ){
			wp_send_json_success(
				array(
					'msg' 		=> sprintf(__('You save %s', 'wiloke'), $price),
					'newPrice'	=> Render::price($price, true)
				)
			);
		}else{

			$newPrice = round($price - $discountPrice, 2);

			wp_send_json_success(
				array(
					'msg' => sprintf(__('You save %s', 'wiloke'), Render::price($discountPrice, true)),
					'newPrice'	=> Render::price($newPrice, true)
				)
			);
		}
	}
}