<?php
namespace WilokeListgoFunctionality\Framework\Payment\PayPal;


use PayPal\Api\Agreement;
use PayPal\Api\AgreementStateDescriptor;
use WilokeListgoFunctionality\Framework\Payment\PayPal\PayPalConfiguration;

class PayPalCancelPlan {
	use PayPalGenerateUrls;
	use PayPalSetup;

	protected $agreementID;
	protected $oApiContext;

	public function __construct($agreementID) {
		$this->agreementID = $agreementID;
	}

	/**
	 * Setup Payment Configuration
	 *
	 */
	protected function setup() {
		$instPayPalConfiguration = PayPalConfiguration::setup();
		$this->oApiContext = $instPayPalConfiguration->getApiContext();
	}

	public function cancelPlan(){
		$this->setup();
		//Create an Agreement State Descriptor, explaining the reason to suspend.
		$oAgreementStateDescriptor = new AgreementStateDescriptor();
		$oAgreementStateDescriptor->setNote(esc_html__('Cancel the plan', 'wiloke'));

		$oAgreement = new Agreement(); 
		$oAgreement->setId($this->agreementID);
		
		try {
			$oAgreement->cancel($oAgreementStateDescriptor, $this->oApiContext);
            $cancelAgreementDetails = Agreement::get($oAgreement->getId(), $this->oApiContext);
			return array(
				'status'  => 'success'
			);
		} catch (\Exception $ex) {
			return array(
				'status'  => 'error',
				'msg'     => $ex->getMessage()
			);
		}
	}
}