<?php
namespace WilokeListgoFunctionality\Framework\Payment\Stripe;


use WilokeListgoFunctionality\Framework\Payment\Checkout;
use WilokeListgoFunctionality\Framework\Payment\Receipt;
use WilokeListgoFunctionality\Model\PaymentMetaModel;
use WilokeListgoFunctionality\Model\PaymentModel;
use WilokeListgoFunctionality\Model\StripeModel;


class StripeCancelPlan {
	use StripeConfiguration;
	protected $subscriptionID;

	public function __construct($subscriptionID) {
		$this->subscriptionID = $subscriptionID;
	}

	/**
	 * If user has already executed a session before, We will have his/her customer id
	 *
	 * @return void
	 */
	protected function getCustomerID(){
		$this->customerID = StripeModel::getCustomerID($this->userID);
	}

	public function cancelPlan(){
		$this->setApiContext();

		try{
			$subscription = \Stripe\Subscription::retrieve($this->subscriptionID);
			$subscription->cancel();

			return array(
				'status' => 'success'
			);
		}catch (\Exception $oE) {
			return array(
				'status' => 'error',
				'msg'    => $oE->getMessage()
			);
		}
	}
}