<?php
namespace WilokeListgoFunctionality\Middleware;


use WilokeListgoFunctionality\Framework\Routing\InterfaceMiddleware;
use WilokeListgoFunctionality\Framework\Payment\PaymentConfiguration;
use WilokeListgoFunctionality\Model\PaymentModel;

class IsYourSession implements InterfaceMiddleware {
	public $msg;

	public function handle( array $aOptions = [] ) {
		if ( !isset($aOptions['sessionID']) || empty($aOptions['sessionID']) ){
			$this->msg = esc_html__('The sessionID is required', 'wiloke');
			return false;
		}

		$userID = PaymentModel::getField('userID', $aOptions['sessionID']);
		if ( $userID != get_current_user_id() ){
			$this->msg = esc_html__('It is not your session', 'wiloke');
			return false;
		}

		return true;
	}
}