<?php
namespace WilokeListgoFunctionality\Model;

use WilokeListgoFunctionality\AlterTable\AlterTableEventsCalendar;

class EventsCalendar {
	public static function isEventExists($eventID){
		global $wpdb;
		$tbl = $wpdb->prefix . AlterTableEventsCalendar::$tblName;

		return $wpdb->get_var(
			$wpdb->prepare(
				"SELECT ID FROM $tbl WHERE eventID=%d",
				$eventID
			)
		);
	}

	public static function patch($eventID, $startsGMT, $endsONGMT){
		global $wpdb;
		$tbl = $wpdb->prefix . AlterTableEventsCalendar::$tblName;

		$wpdb->update(
			$tbl,
			array(
				'startsGMT' => $startsGMT,
				'endsOnGMT' => $endsONGMT
			),
			array(
				'eventID' => $eventID
			),
			array(
				'%s',
				'%s'
			),
			array(
				'%d'
			)
		);
	}

	public static function insert($eventID, $startsGMT, $endsONGMT){
		global $wpdb;
		$tbl = $wpdb->prefix . AlterTableEventsCalendar::$tblName;
		
		if ( $ID = self::isEventExists($eventID) ){
			self::patch($eventID, $startsGMT, $endsONGMT);
			return $ID;
		}else{
			$status = $wpdb->insert(
				$tbl,
				array(
					'eventID'   => $eventID,
					'startsGMT' => $startsGMT,
					'endsOnGMT' => $endsONGMT
				),
				array(
					'%d',
					'%s',
					'%s'
				)
			);

			if ( $status ){
				return $wpdb->insert_id;
			}

			return false;
		}
	}
}