(function($){
	'use strict';

	function checkCoupon(){
		let $input = $('#listgo-apply-coupon-code'),
			$price = $('#listgo-price'),
			$counponMsg = $('#listgo-coupon-message'),
			$hasCoupon = $('#listgo-has-coupon'),
			xhr = null;

		$input.on('change', function(){
			let $planID = $('[name="event_plan_id"]').length ? $('input[name="event_plan_id"]:checked') :  $('#wiloke-package-id');

			if ( $input.val() === '' ){
				return false;
			}

			if ( xhr !== null && xhr.status !== 200 ){
				xhr.abort();
			}

			$input.parent().addClass('block-loading');

			xhr = $.ajax({
				type: 'POST',
				url: WILOKE_GLOBAL.ajaxurl,
				data: {
					action: 'listgo_verify_coupon',
					code: $input.val(),
					planID: $planID.val()
				},
				success: (response=>{
					if ( response.success ){
						$counponMsg.css({color: 'green'}).html(response.data.msg);
						$price.html(response.data.newPrice);
						$hasCoupon.val('yes');
					}else{
						$counponMsg.css({color: 'red'}).html(response.data.msg);
						$hasCoupon.val('no');
					}
					$input.parent().removeClass('block-loading');
				})
			})
		})
	}

	$(document).ready(function () {
		checkCoupon();
	});

})(jQuery);