<?php
use WilokeListgoFunctionality\Framework\Helpers\GetSettings;
use WilokeListgoFunctionality\Framework\Helpers\Time;

global $wiloke;
$timeFormat = isset($wiloke->aThemeOptions['time_format']) ? $wiloke->aThemeOptions['time_format'] : 12;

$toggleBusinessHoursStatus = GetSettings::getPostMeta($postID, 'wiloke_toggle_business_hours');

//$aBusinessHours = Wiloke::getPostMetaCaching($postID, 'wiloke_listgo_business_hours');
$aBusinessHours  = GetSettings::getBusinessHours($postID);
?>
<div class="add-listing-group">
    <div class="row">
	<div class="col-sm-12">
		<div class="form-item">
			
			<label class="input-toggle">
				<?php if ( !empty($aBlock['blockName']) ){
					echo esc_html($aBlock['blockName']);
				} ?>
				<input type="checkbox" id="toggle-business-hours" name="toggle_business_hours" value="enable" <?php checked($toggleBusinessHoursStatus, 'enable'); ?>>
				<span></span>
			</label>
			<?php if ( isset($aBlock['fields'][0]['description']) && !empty($aBlock['fields'][0]['description']) ) : ?>
				<p class="add-listing-description"><?php echo esc_html(stripslashes($aBlock['fields'][0]['description'])); ?></p>
			<?php endif; ?>
			

			<div id="table-businees-hour">
				<table class="table table-bordered profile-hour">
					<thead>
						<tr>
							<th><?php esc_html_e('Day', 'wiloke'); ?></th>
							<th><?php esc_html_e('Start time', 'wiloke'); ?></th>
							<th><?php esc_html_e('End time', 'wiloke'); ?></th>
							<th><?php esc_html_e('Closed', 'wiloke'); ?></th>
						</tr>
					</thead>
					<?php
					$aDaysInWeek = array(
						esc_html__('Monday', 'wiloke'),
						esc_html__('Tuesday', 'wiloke'),
						esc_html__('Wednesday', 'wiloke'),
						esc_html__('Thursday', 'wiloke'),
						esc_html__('Friday', 'wiloke'),
						esc_html__('Saturday', 'wiloke'),
						esc_html__('Sunday', 'wiloke')
					);


					foreach ( $wiloke->aConfigs['frontend']['listing']['business_hours']['days'] as $key => $day ) :
                        $aHoursOfDays = isset($aBusinessHours[$key]) ? $aBusinessHours[$key] :  array();

						$aValues = Time::parseBusinessHours($aHoursOfDays, $timeFormat);

						if ( $aValues['extra_open_hour'] === '' || $aValues['extra_close_hour'] === ''  || ($aValues['extra_open_hour'] == $aValues['extra_close_hour'] && $aValues['extra_close_hour'] == '00' )  ){
							$hidenExtraFields = 'hidden';
							$addMoreExtraClass = '';
						}else{
							$hidenExtraFields = '';
							$addMoreExtraClass = 'visibility-hidden';
						}
					?>
						<tr>
							<td class="business-day" data-title="<?php esc_html_e('Day', 'wiloke'); ?>"><?php echo esc_html($aDaysInWeek[$key]); ?></td>
							<td class="business-start" data-title="<?php esc_html_e('Start time', 'wiloke'); ?>">
								<div class="listgo-bsh__itemWrapper">
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][open_hour]" max="<?php echo esc_attr($timeFormat); ?>" min="0" value="<?php echo strlen($aValues['open_hour']) == 1 ?  0 . esc_attr($aValues['open_hour']) : esc_attr($aValues['open_hour']); ?>"></span>
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][open_minutes]" max="60" min="0" value="<?php echo strlen($aValues['open_minutes']) == 1 ? 0 . esc_attr($aValues['open_minutes']) : esc_attr($aValues['open_minutes']); ?>"></span>
									<?php if ( $timeFormat == 12 ) : ?>
                                    <span class="listgo-bsh-item listgo-bsh-item-last">
										<select name="listgo_bh[<?php echo esc_attr($key) ?>][open_format]" class="listgo-time-format">
		                                    <option value="AM" <?php selected($aValues['open_format'], 'AM'); ?>><?php esc_html_e('AM', 'wiloke'); ?></option>
		                                    <option value="PM" <?php selected($aValues['open_format'], 'PM'); ?>><?php esc_html_e('PM', 'wiloke'); ?></option>
	                                    </select>
									</span>
                                    <?php endif; ?>

									<span class="listgo-add-extra-hour listgo-bsh__btn <?php echo esc_attr($addMoreExtraClass); ?>" data-key="<?php echo esc_attr($key); ?>">
										<i class="icon_plus"></i>
									</span>

								</div>
								<div class="listgo-extra-hour-wrapper-<?php echo esc_attr($key); ?> listgo-bsh__itemWrapper <?php echo esc_attr($hidenExtraFields); ?>">
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][extra_open_hour]" max="<?php echo esc_attr($timeFormat); ?>" min="0" value="<?php echo strlen($aValues['extra_open_hour']) == 1 ?  0 . esc_attr($aValues['extra_open_hour']) : esc_attr($aValues['extra_open_hour']); ?>"></span>
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][extra_open_minutes]" max="60" min="0" value="<?php echo strlen($aValues['extra_open_minutes']) == 1 ? 0 . esc_attr($aValues['extra_open_minutes']) : esc_attr($aValues['extra_open_minutes']); ?>"></span>

									<?php if ( $timeFormat == 12 ) : ?>
                                    <span class="listgo-bsh-item listgo-bsh-item-last">
	                                    <select name="listgo_bh[<?php echo esc_attr($key) ?>][extra_open_format]">
	                                        <option value="AM" <?php echo isset($aValues['extra_open_format']) && $aValues['extra_open_format'] == 'AM' ? 'selected' : '';?>><?php esc_html_e('AM', 'wiloke'); ?></option>
	                                        <option value="PM" <?php echo isset($aValues['extra_open_format']) && $aValues['extra_open_format'] == 'PM' ? 'selected' : '';?>><?php esc_html_e('PM', 'wiloke'); ?></option>
	                                    </select>
									</span>
                                    <?php endif; ?>

									<span class="listgo-remove-extra-hour listgo-bsh__btn" data-key="<?php echo esc_attr($key); ?>">
										<i class="icon_close"></i>
									</span>
								</div>
							</td>

							<td class="business-end" data-title="<?php esc_html_e('End time', 'wiloke'); ?>">
								<div class="listgo-bsh__itemWrapper">
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][close_hour]" max="<?php echo esc_attr($timeFormat); ?>" min="0" value="<?php echo strlen($aValues['close_hour']) == 1 ? 0 . esc_attr($aValues['close_hour']) : esc_attr($aValues['close_hour']); ?>"></span>
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][close_minutes]" max="60" min="0" value="<?php echo strlen($aValues['close_minutes'])  == 1 ? 0 . esc_attr($aValues['close_minutes']) : esc_attr($aValues['close_minutes']); ?>"></span>

									<?php if ( $timeFormat == 12 ) : ?>
									<span class="listgo-bsh-item listgo-bsh-item-last"><span class="listgo-bsh-item listgo-bsh-item-last">
	                                    <select name="listgo_bh[<?php echo esc_attr($key) ?>][close_format]" class="listgo-time-format">
	                                        <option value="AM" <?php selected($aValues['close_format'], 'AM'); ?>><?php esc_html_e('AM', 'wiloke'); ?></option>
	                                        <option value="PM" <?php selected($aValues['close_format'], 'PM'); ?>><?php esc_html_e('PM', 'wiloke'); ?></option>
	                                    </select>
									</span>
                                    <?php endif; ?>

									<span class="listgo-add-extra-hour listgo-bsh__btn <?php echo esc_attr($addMoreExtraClass); ?>" data-key="<?php echo esc_attr($key); ?>">
										<i class="icon_plus"></i>
									</span>
								</div>

								<div class="listgo-extra-hour-wrapper-<?php echo esc_attr($key); ?> listgo-bsh__itemWrapper <?php echo esc_attr($hidenExtraFields); ?>">
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][extra_close_hour]" max="<?php echo esc_attr($timeFormat); ?>" min="0" value="<?php echo strlen($aValues['extra_close_hour']) == 1 ? 0 . esc_attr($aValues['extra_close_hour']) : esc_attr($aValues['extra_close_hour']); ?>"></span>
									<span class="listgo-bsh-item"><input type="number" name="listgo_bh[<?php echo esc_attr($key) ?>][extra_close_minutes]" max="60" min="0" value="<?php echo strlen($aValues['extra_close_minutes'])  == 1 ? 0 . esc_attr($aValues['extra_close_minutes']) : esc_attr($aValues['extra_close_minutes']); ?>"></span>
									<?php if ( $timeFormat == 12 ) : ?>
                                    <span class="listgo-bsh-item">
                                        <select name="listgo_bh[<?php echo esc_attr($key) ?>][extra_close_format]">
                                            <option value="AM" <?php echo isset($aValues['extra_close_format']) && $aValues['extra_close_format'] == 'AM' ? 'selected' : '';?>><?php esc_html_e('AM', 'wiloke'); ?></option>
                                            <option value="PM" <?php echo isset($aValues['extra_close_format']) && $aValues['extra_close_format'] == 'PM' ? 'selected' : '';?>><?php esc_html_e('PM', 'wiloke'); ?></option>
                                        </select>
                                    </span>
                                    <?php endif; ?>

									<span class="listgo-remove-extra-hour listgo-bsh__btn" data-key="<?php echo esc_attr($key); ?>">
										<i class="icon_close"></i>
									</span>
								</div>

							</td>
							<td class="business-close" data-title="<?php  esc_html_e('Close', 'listgo'); ?>">
								<label for="bh-closed-<?php echo esc_attr($key); ?>" class="input-checkbox">
									<input id="bh-closed-<?php echo esc_attr($key); ?>" type="checkbox" name="listgo_bh[<?php echo esc_attr($key) ?>][closed]" value="1" <?php echo $aValues['closed'] == 1 ? 'checked' : ''; ?>>
									<span></span>
								</label>
							</td>
						</tr>
					<?php endforeach; ?>
				</table>
			</div>
		</div>
	</div>
</div>
</div>