<?php

if (!function_exists('wiloke_mega_menu_shortcode_posts_map')) {

    add_action('vc_before_init', 'wiloke_mega_menu_shortcode_posts_map');

    function wiloke_mega_menu_shortcode_posts_map($atts)
    {

        vc_map(array(
            'name'     => esc_html__('Mega Menu Posts', 'wiloke-menu'),
            'base'     => 'wiloke_mega_menu_shortcode_posts',
            'category' => esc_html__('Wiloke Mega Menu', 'wiloke-menu'),
            'params'   => array(
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Data source', 'wiloke-menu'),
                    'param_name'  => 'post_type',
                    'value'       => wiloke_mega_menu_post_types(),
                    'std'         => 'post',
                    'description' => esc_html__('Select content type.', 'wiloke-menu'),
                ),
                array(
                    'type'       => 'checkbox',
                    'heading'    => esc_html__('Show meta date', 'wiloke-menu'),
                    'param_name' => 'show_date',
                    'value'      => array(
                        esc_html__('Yes', 'wiloke-menu') => 'yes',
                    ),
                ),
                array(
                    'type'       => 'checkbox',
                    'heading'    => esc_html__('Show meta comments', 'wiloke-menu'),
                    'param_name' => 'show_comments',
                    'value'      => array(
                        esc_html__('Yes', 'wiloke-menu') => 'yes',
                    ),
                ),
                array(
                    'type'       => 'textfield',
                    'heading'    => esc_html__('Total items', 'wiloke-menu'),
                    'param_name' => 'posts_per_page',
                    'value'      => 4,
                ),
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Order by', 'wiloke-menu'),
                    'param_name'  => 'orderby',
                    'std'         => 'date',
                    'value'       => array(
                        esc_html__('Date', 'wiloke-menu')                  => 'date',
                        esc_html__('Order by post ID', 'wiloke-menu')      => 'ID',
                        esc_html__('Author', 'wiloke-menu')                => 'author',
                        esc_html__('Title', 'wiloke-menu')                 => 'title',
                        esc_html__('Last modified date', 'wiloke-menu')    => 'modified',
                        esc_html__('Post/page parent ID', 'wiloke-menu')   => 'parent',
                        esc_html__('Number of comments', 'wiloke-menu')    => 'comment_count',
                        esc_html__('Menu order/Page Order', 'wiloke-menu') => 'menu_order',
                        esc_html__('Random order', 'wiloke-menu')          => 'rand',
                    ),
                    'description' => esc_html__('Select order type.', 'wiloke-menu'),
                ),
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Sort order', 'wiloke-menu'),
                    'param_name'  => 'order',
                    'std'         => 'DESC',
                    'value'       => array(
                        esc_html__('Descending', 'wiloke-menu') => 'DESC',
                        esc_html__('Ascending', 'wiloke-menu')  => 'ASC',
                    ),
                    'description' => esc_html__('Select sorting order.', 'wiloke-menu'),
                ),
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Display', 'wiloke-menu'),
                    'param_name'  => 'display',
                    'value'       => array(
                        esc_html__('Grid', 'wiloke-menu') => 'grid',
                        esc_html__('Slider', 'wiloke-menu')  => 'slider',
                    ),
                    'description' => esc_html__('Display style grid or slider. Default set grid.', 'wiloke-menu'),
                ),

                array(
                    'type'       => 'checkbox',
                    'heading'    => esc_html__('Nav', 'wiloke-menu'),
                    'param_name' => 'nav',
                    'value'      => array(
                        esc_html__('Show next/prev buttons.', 'wiloke-menu') => 'yes',
                    ),
                    'dependency'    => array(
                        'element'   => 'display',
                        'value'     => array('slider')
                    )
                ),

                array(
                    'type'       => 'checkbox',
                    'heading'    => esc_html__('Dots', 'wiloke-menu'),
                    'param_name' => 'dots',
                    'value'      => array(
                        esc_html__('Show dots navigation.', 'wiloke-menu') => 'yes',
                    ),
                    'dependency'    => array(
                        'element'   => 'display',
                        'value'     => array('slider')
                    )
                ),

                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Items per row (≥1200px)', 'wiloke-menu'),
                    'param_name'  => 'xl_per_row',
                    'std'         => 5,
                    'value'       => array(
                        esc_html__('1', 'wiloke-menu')  => 1,
                        esc_html__('2', 'wiloke-menu')  => 2,
                        esc_html__('3', 'wiloke-menu')  => 3,
                        esc_html__('4', 'wiloke-menu')  => 4,
                        esc_html__('5', 'wiloke-menu')  => 5,
                        esc_html__('6', 'wiloke-menu')  => 6,
                        esc_html__('7', 'wiloke-menu')  => 7,
                        esc_html__('8', 'wiloke-menu')  => 8,
                        esc_html__('9', 'wiloke-menu')  => 9,
                        esc_html__('10', 'wiloke-menu') => 10,
                    )
                ),

                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Items per row (≥992px)', 'wiloke-menu'),
                    'param_name'  => 'lg_per_row',
                    'std'         => 4,
                    'value'       => array(
                        esc_html__('1', 'wiloke-menu')  => 1,
                        esc_html__('2', 'wiloke-menu')  => 2,
                        esc_html__('3', 'wiloke-menu')  => 3,
                        esc_html__('4', 'wiloke-menu')  => 4,
                        esc_html__('5', 'wiloke-menu')  => 5,
                        esc_html__('6', 'wiloke-menu')  => 6,
                        esc_html__('7', 'wiloke-menu')  => 7,
                        esc_html__('8', 'wiloke-menu')  => 8,
                        esc_html__('9', 'wiloke-menu')  => 9,
                        esc_html__('10', 'wiloke-menu') => 10,
                    )
                ),

                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Items per row (≥768px)', 'wiloke-menu'),
                    'param_name'  => 'md_per_row',
                    'std'         => 3,
                    'value'       => array(
                        esc_html__('1', 'wiloke-menu')  => 1,
                        esc_html__('2', 'wiloke-menu')  => 2,
                        esc_html__('3', 'wiloke-menu')  => 3,
                        esc_html__('4', 'wiloke-menu')  => 4,
                        esc_html__('5', 'wiloke-menu')  => 5,
                        esc_html__('6', 'wiloke-menu')  => 6,
                        esc_html__('7', 'wiloke-menu')  => 7,
                        esc_html__('8', 'wiloke-menu')  => 8,
                        esc_html__('9', 'wiloke-menu')  => 9,
                        esc_html__('10', 'wiloke-menu') => 10,
                    )
                ),

                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Items per row (≥576px)', 'wiloke-menu'),
                    'param_name'  => 'sm_per_row',
                    'std'         => 2,
                    'value'       => array(
                        esc_html__('1', 'wiloke-menu')  => 1,
                        esc_html__('2', 'wiloke-menu')  => 2,
                        esc_html__('3', 'wiloke-menu')  => 3,
                        esc_html__('4', 'wiloke-menu')  => 4,
                        esc_html__('5', 'wiloke-menu')  => 5,
                        esc_html__('6', 'wiloke-menu')  => 6,
                        esc_html__('7', 'wiloke-menu')  => 7,
                        esc_html__('8', 'wiloke-menu')  => 8,
                        esc_html__('9', 'wiloke-menu')  => 9,
                        esc_html__('10', 'wiloke-menu') => 10,
                    )
                ),

                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Items per row (<576px)', 'wiloke-menu'),
                    'param_name'  => 'xs_per_row',
                    'std'         => 1,
                    'value'       => array(
                        esc_html__('1', 'wiloke-menu')  => 1,
                        esc_html__('2', 'wiloke-menu')  => 2,
                        esc_html__('3', 'wiloke-menu')  => 3,
                        esc_html__('4', 'wiloke-menu')  => 4,
                        esc_html__('5', 'wiloke-menu')  => 5,
                        esc_html__('6', 'wiloke-menu')  => 6,
                        esc_html__('7', 'wiloke-menu')  => 7,
                        esc_html__('8', 'wiloke-menu')  => 8,
                        esc_html__('9', 'wiloke-menu')  => 9,
                        esc_html__('10', 'wiloke-menu') => 10,
                    )
                ),

                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Space', 'wiloke-menu'),
                    'param_name'  => 'space',
                    'std'         => 20,
                    'value'       => array(
                        esc_html__('5', 'wiloke-menu')  => 5,
                        esc_html__('10', 'wiloke-menu') => 10,
                        esc_html__('15', 'wiloke-menu') => 15,
                        esc_html__('20', 'wiloke-menu') => 20,
                        esc_html__('25', 'wiloke-menu') => 25,
                        esc_html__('30', 'wiloke-menu') => 30,
                        esc_html__('35', 'wiloke-menu') => 35,
                        esc_html__('40', 'wiloke-menu') => 40,
                        esc_html__('45', 'wiloke-menu') => 45,
                        esc_html__('50', 'wiloke-menu') => 50,
                    ),
                    'description' => esc_html__('Set space for items.', 'wiloke-menu'),
                ),

                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Image Size', 'wiloke-menu'),
                    'param_name'  => 'size',
                    'description' => esc_html__('Enter in thumbnail, medium, large text or specify the width and height like this: 500, 500. ', 'wiloke-menu'),
                ),
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Extra class name', 'wiloke-menu'),
                    'param_name'  => 'el_class',
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'wiloke-menu'),
                ),

                array(
                    'type'       => 'css_editor',
                    'heading'    => esc_html__('CSS box', 'wiloke-menu'),
                    'param_name' => 'el_css',
                    'group'      => esc_html__('Design Options', 'wiloke-menu'),
                ),
            ),
        ));
    }
}
